## python-defaults 2.7.9-1

=== debian/changelog ===
python-defaults (2.7.9-1) unstable; urgency=medium

  * Bump version to 2.7.9.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Mar 2015 23:32:04 +0100

python-defaults (2.7.8-4) unstable; urgency=medium

  [ Barry Warsaw ]
  * Update policy document to clarify the purpose and use of the wheel
    files.  No actual change in policy is made.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Mar 2015 15:45:19 -0500

python-defaults (2.7.8-3) unstable; urgency=medium

  [ Michael Gilbert ]
  * Make python-minimal a pre-dependency for python (closes: #769106).

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Feb 2015 16:12:38 -0500

python-defaults (2.7.8-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build-depend on python2.7 and dpkg-dev versions to consistently
    generate the i586-* symlinks. Closes: #758301.

  [ Piotr Ożarowski ]
  * dh_python2: add a warning abount missing dh-python in Build-Depends

  [ Scott Kitterman ]
  * Minor updates to python policy
    - Reflect disuse of pyshared directory in favor of /usr/lib/python2.7/
      dist-packages since python2.7 is the last and only python version
      supported (Closes: #763451)
    - Update python-central information to reflect its removal from Jessie

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Oct 2014 10:58:42 -0400

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.8-5),
  lsb-release,
  python-all,
  python2.7 (>= 2.7.9-1~),
  debiandoc-sgml,
Standards-Version: 3.9.6
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: any
Multi-Arch: allowed
Priority: standard
Pre-Depends: python-minimal (= ${binary:Version})
Depends: ${misc:Depends}, python2.7 (>= 2.7.9-1~), libpython-stdlib (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.9-1~)
Conflicts: python-central (<< 0.5.5)
Breaks: update-manager-core (<< 0.200.5-2)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-minimal
Architecture: any
Multi-Arch: allowed
Priority: standard
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.9-1~), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
Replaces: python (<= 2.7.3-1~)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.9-1~)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.9-1~)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: libpython-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython2.7-dev (>= 2.7.9-1~), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: libpython-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython2.7-stdlib (>= 2.7.9-1~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (>= ${binary:Version}), python-tk, idle-python2.7
Enhances: python
Replaces: python (<< 2.7.3-1~)
Breaks: python (<< 2.7.3-1~)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.9-1~)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.9-1~)
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: libpython-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython2.7-dbg (>= 2.7.9-1~), ${misc:Depends}
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: python-all
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7 (>= 2.7.2-3)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.7, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dev (= ${binary:Version}), python-dev (= ${binary:Version}), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python development packages
 The package currently depends on python2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python development
 packages.

Package: python-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), libpython-all-dbg (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python debug packages.

Package: libpython-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython-dev (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dev
Description: package depending on all supported Python development packages
 The package currently depends on libpython2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python development
 packages.

Package: libpython-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython-dbg (= ${binary:Version}), ${misc:Depends},
 libpython2.7-dbg
Description: package depending on all supported Python debugging packages
 The package currently depends on libpython2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python debug packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell lsb_release -cs)

export VER=2.7
export NVER=2.8
export PVER=python2.7

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
# first version with Multi-Arch: allowed
PREVVER := 2.7.9-1~

# not yet allowed
ma_allowed	= yes

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.8-5)
endif


PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html -l en.UTF-8 debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	make -C pydist
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in \
	    $(if $(ma_allowed),,| grep -v '^Multi-Arch: allowed$$') \
		>debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	# Note: This rule is broken due to web site reorg at python.org
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

make-faq:
	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  rm -f $$p.ht2; \
	done

MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

%.1: %.rst
	rst2man $< > $@

# Manually run this rule if there is a need to update the dh_python2 man pages
make-man: $(MANPAGES)
	cd pydist && \
	rst2html README.PyDist > README.PyDist.html

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs usr/share/doc/python/faq
	dh_install

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/

	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	-make check_versions
	DESTDIR=debian/python PREFIX=/usr make install-dev
	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make -C pydist dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html
	mkdir -p debian/python-doc/usr/share/doc/python-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python-doc/html
endif

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python.xpm debian/idle/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installmenu -i $(NOPKGS)
	dh_installchangelogs -i $(NOPKGS)

	for p in examples idle; do \
	  [ $$p = idle ] || p=python-$$p; \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python debian/$$p/usr/share/doc/$$p; \
	done

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install stamp-doc
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python and python.1 defaults
	mkdir -p debian/python-minimal/usr/bin
	ln -sf python$(VER) debian/python-minimal/usr/bin/python
	ln -sf python$(VER) debian/python-minimal/usr/bin/python2
	mkdir -p debian/python-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python.1.gz
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python2.1.gz

	: # 
	mkdir -p debian/python-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python-minimal/usr/share/man/man1/
	dh_link -ppython-minimal /usr/share/python/pyversions.py /usr/bin/pyversions

#	install -m 755 debian/pycompile \
#		debian/python-minimal/usr/bin/
#	install -m 755 debian/pyclean \
#		debian/python-minimal/usr/bin/

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python/usr/bin
	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
	ln -sf pdb$(VER) debian/python/usr/bin/pdb
	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3

	mkdir -p debian/python/usr/share/python
	install -m 644 debian/python.mk \
		debian/python/usr/share/python/

## python-defaults 2.7.9-1tanglu1

=== debian/changelog ===
python-defaults (2.7.9-1tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Set minimal required python version to 2.7.6
    - debian/rules: Auto-set Tanglu maintainer address

 -- Jon Severinsson <jon@severinsson.net>  Fri, 20 Mar 2015 17:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
 Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.8-5),
   lsb-release,

=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,13 @@
 ifeq ($(distribution),Ubuntu)
   ifneq (,$(findstring ubuntu, $(PKGVERSION)))
 	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
+	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
+	  debian/control.tmp
+  endif
+endif
+ifeq ($(distribution),Tanglu)
+  ifneq (,$(findstring tanglu, $(PKGVERSION)))
+	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
 	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
 	  debian/control.tmp
   endif
@@ -273,11 +280,3 @@
 
 	mkdir -p debian/python/usr/bin
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
-	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
-	ln -sf pdb$(VER) debian/python/usr/bin/pdb
-	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3
-
-	mkdir -p debian/python/usr/share/python
-	install -m 644 debian/python.mk \
-		debian/python/usr/share/python/
-

## python-defaults 2.7.9-1%2Bdyson1

=== debian/changelog ===
python-defaults (2.7.9-1+dyson1) unstable; urgency=medium

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Sun, 05 Apr 2015 23:31:18 +0300

## python-defaults 2.7.11-1

=== tests/t2/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)
clean: clean-common

check:
	test -f debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo.py
	test -f debian/python-foo/usr/lib/python$(DPY)/dist-packages/bar/bar.py
	grep -q pycompile debian/python-foo/DEBIAN/postinst
	grep -q pyclean debian/python-foo/DEBIAN/prerm

=== tests/t4/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	grep -q python2.6 debian/foo/usr/share/foo/foo.py
ifneq (,$(findstring 2.6,$(DEBPYTHON_SUPPORTED)))
	grep -q Depends:.*python2.6 debian/foo/DEBIAN/control
endif
	#grep -q python2.5 debian/foo/usr/share/bar/bar.py
	#grep -q Depends:.*python2.5 debian/foo/DEBIAN/control
	grep -q python2.4 debian/foo/usr/share/foo/baz.py
	test ! -x debian/foo/usr/share/foo/baz.py
	grep -q Depends:.*python2.4 debian/foo/DEBIAN/control && false || true

=== tests/t5/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# test dh_python2
	test -f debian/python-foo/usr/share/pyshared/keep_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/remove_this_one/__init__.py
	test ! -f debian/python-foo/usr/share/pyshared/foo/__init__.py
	grep -q remove_this_one debian/python-foo/usr/share/python/ns/python-foo
	grep -q foo debian/python-foo/usr/share/python/ns/python-foo
	grep -q bar.baz debian/python-foo/usr/share/python/ns/python-foo
	grep -q keep_this_one debian/python-foo/usr/share/python/ns/python-foo && false || true
	grep -q "pycompile -p python-foo" debian/python-foo/DEBIAN/postinst
	grep -q "pyclean -p python-foo" debian/python-foo/DEBIAN/prerm
	# test pycompile
	DESTDIR=debian/python-foo/ ../../pycompile -v debian/python-foo/usr/lib/
	set -e; for i in remove_this_one bar bar/baz;\
	do [ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py | wc -l`" != '0' ];\
	[ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc | wc -l`" != '0' ];\
	done
	# test pyclean
	DESTDIR=debian/python-foo/ ../../pyclean -v debian/python-foo/usr/lib/
	set -e; for i in remove_this_one bar bar/baz;\
	do [ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.py 2>/dev/null || true | wc -l`" = 0 ];\
	[ "`ls debian/python-foo/usr/lib/python2.*/*-packages/$$i/__init__.pyc 2>/dev/null || true | wc -l`" = 0 ];\
	done

=== debian/changelog ===
python-defaults (2.7.11-1) unstable; urgency=medium

  * Bump version to 2.7.11.
  * Stop shipping menu files.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Dec 2015 13:07:35 +0100

=== tests/t3/debian/changelog ===
foo (0.1.1) unstable; urgency=low

  * Initial release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 19 Dec 2010 19:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-defaults
 Section: python
 Priority: optional
-Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.8-5),
+Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.11-2),
   lsb-release,
   python-all,
-  python2.7 (>= 2.7.9-1~),
+  python2.7 (>= 2.7.11-1~),
   debiandoc-sgml,
 Standards-Version: 3.9.6
 Homepage: http://www.python.org/
@@ -19,8 +18,8 @@
 Multi-Arch: allowed
 Priority: standard
 Pre-Depends: python-minimal (= ${binary:Version})
-Depends: ${misc:Depends}, python2.7 (>= 2.7.9-1~), libpython-stdlib (= ${binary:Version})
-Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.9-1~)
+Depends: ${misc:Depends}, python2.7 (>= 2.7.11-1~), libpython-stdlib (= ${binary:Version})
+Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.11-1~)
 Conflicts: python-central (<< 0.5.5)
 Breaks: update-manager-core (<< 0.200.5-2)
 Replaces: python-dev (<< 2.6.5-2)
@@ -37,7 +36,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.9-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.11-1~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -50,7 +49,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.9-1~)
+Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.11-1~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -61,7 +60,7 @@
 Package: python-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.9-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.11-1~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -74,7 +73,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython2.7-dev (>= 2.7.9-1~), ${misc:Depends}
+Depends: libpython2.7-dev (>= 2.7.11-1~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -86,7 +85,8 @@
 Package: libpython-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython2.7-stdlib (>= 2.7.9-1~), ${misc:Depends}
+Priority: standard
+Depends: libpython2.7-stdlib (>= 2.7.11-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -111,7 +111,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.9-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.11-1~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -138,7 +138,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.9-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.11-1~)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
@@ -148,7 +148,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython2.7-dbg (>= 2.7.9-1~), ${misc:Depends}
+Depends: libpython2.7-dbg (>= 2.7.11-1~), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python2.7/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,13 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.9-1~
+PREVVER := 2.7.11-1~
 
 # not yet allowed
 ma_allowed	= yes
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.8-5)
+  bd_i586 = dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.11-2)
 endif
 
 
@@ -78,13 +78,6 @@
 ifeq ($(distribution),Ubuntu)
   ifneq (,$(findstring ubuntu, $(PKGVERSION)))
 	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
-	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
-	  debian/control.tmp
-  endif
-endif
-ifeq ($(distribution),Tanglu)
-  ifneq (,$(findstring tanglu, $(PKGVERSION)))
-	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
 	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
 	  debian/control.tmp
   endif
@@ -177,7 +170,7 @@
 	cd faq && \
 	for p in *.ht; do \
 	  p=`basename $$p .ht`; \
-	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
+	  cp $$p.html ../debian/python/usr/share/doc/python/faq/; \
 	done
 	mv debian/python/usr/share/doc/python/faq/FAQ.html \
 		debian/python/usr/share/doc/python/
@@ -227,7 +220,6 @@
 #	dh_installdebconf -i $(NOPKGS)
 	dh_lintian -i
 	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
-	dh_installmenu -i $(NOPKGS)
 	dh_installchangelogs -i $(NOPKGS)
 
 	for p in examples idle; do \
@@ -280,3 +272,12 @@
 
 	mkdir -p debian/python/usr/bin
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
+	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
+	ln -sf pdb$(VER) debian/python/usr/bin/pdb
+	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3
+
+	mkdir -p debian/python/usr/share/python
+	install -m 644 debian/python.mk \
+		debian/python/usr/share/python/
+
+	mkdir -p debian/python/usr/share/man/man1

## python-defaults 2.7.11-2

=== debian/changelog ===
python-defaults (2.7.11-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Python policy updates for Stretch (Many thanks to Ben Finney for all the
    updates)
    - Change focus in text to python3
    - Remove/deprecate features no longer needed due to only a single Python 2
      version
    - Discuss update process in more detail
    - Revamp tools section to better align to current practice

  [ Matthias Klose ]
  * Update valgrind suppression file. Issue #12612. LP: #1512622.
  * Rebuild to pick up the GNU triplet change on i386 archs. Addresses: #826128.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Jun 2016 01:29:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.11-2),
+Build-Depends: debhelper (>= 9~), dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.11-11),
   lsb-release,
   python-all,
-  python2.7 (>= 2.7.11-1~),
+  python2.7 (>= 2.7.11-11~),
   debiandoc-sgml,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files
@@ -18,8 +18,8 @@
 Multi-Arch: allowed
 Priority: standard
 Pre-Depends: python-minimal (= ${binary:Version})
-Depends: ${misc:Depends}, python2.7 (>= 2.7.11-1~), libpython-stdlib (= ${binary:Version})
-Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.11-1~)
+Depends: ${misc:Depends}, python2.7 (>= 2.7.11-11~), libpython-stdlib (= ${binary:Version})
+Suggests: python-doc (= ${binary:Version}), python-tk (>= 2.7.11-11~)
 Conflicts: python-central (<< 0.5.5)
 Breaks: update-manager-core (<< 0.200.5-2)
 Replaces: python-dev (<< 2.6.5-2)
@@ -36,7 +36,7 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: standard
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.11-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.11-11~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.7.3-1~), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -49,7 +49,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.11-1~)
+Depends: ${misc:Depends}, python (>= ${binary:Version}), python2.7-examples (>= 2.7.11-11~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -60,7 +60,7 @@
 Package: python-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.11-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dev (= ${binary:Version}), python2.7-dev (>= 2.7.11-11~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -73,7 +73,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython2.7-dev (>= 2.7.11-1~), ${misc:Depends}
+Depends: libpython2.7-dev (>= 2.7.11-11~), ${misc:Depends}
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -86,7 +86,7 @@
 Architecture: any
 Multi-Arch: same
 Priority: standard
-Depends: libpython2.7-stdlib (>= 2.7.11-1~), ${misc:Depends}
+Depends: libpython2.7-stdlib (>= 2.7.11-11~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -111,7 +111,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.11-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.11-11~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -138,7 +138,7 @@
 Multi-Arch: allowed
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.11-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), libpython-dbg (= ${binary:Version}), python2.7-dbg (>= 2.7.11-11~)
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.7/lib-dynload/debug first.
@@ -148,7 +148,7 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libpython2.7-dbg (>= 2.7.11-1~), ${misc:Depends}
+Depends: libpython2.7-dbg (>= 2.7.11-11~), ${misc:Depends}
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python2.7/lib-dynload/debug first.

=== debian/rules ===
--- 
+++ 
@@ -24,13 +24,13 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.11-1~
+PREVVER := 2.7.11-11~
 
 # not yet allowed
 ma_allowed	= yes
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.11-2)
+  bd_i586 = dpkg-dev (>= 1.17.11), python2.7 (>= 2.7.11-11)
 endif
